# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname python-imdb
# sitelib for noarch packages, sitearch for others (remove the unneeded one)
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

%define realname IMDbPY

Name:           python-module-imdb
Version:        4.8.2
Release:        alt1_3
Summary:        Retrieve and manage the data of the IMDb movie database

Group:          Development/Python
License:        GPLv2+   
URL:            http://imdbpy.sourceforge.net/
Source0:        http://prdownloads.sourceforge.net/imdbpy/%{realname}-%{version}.tar.gz
#use system beautifulsoup
Patch0:         %{oldname}-4.2-beautifulsoup.patch
Patch1:		%{oldname}-4.8.2-setup.patch

BuildRequires:  python-devel python-module-setuptools gettext

Requires:       python-module-SQLObject python-module-lxml python-module-BeautifulSoup
Provides:       IMDbPY = %{version}-%{release}
Source44: import.info

%description
IMDbPY is a Python package useful to retrieve and manage the data of
the IMDb movie database about movies, people, characters and companies.

IMDbPY is mainly a tool intended for programmers and developers, but
some example scripts are included.

%prep
%setup -n %{oldname}-%{version} -qn %{realname}-%{version}
%patch0 -p0
%patch1 -p0

#patch removes need for bundled beautifulsoup, so let's remove it
rm -f imdb/parser/http/bsouplxml/_bsoup.py

#fix end-of-line-encoding
%{__sed} -i 's/\r//' docs/imdbpy.cfg

%build

%{__python} setup.py build


%install
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT


#Don't include these as binaries, rather include them as examples in documentation
#See debian for reference 
rm -rf $RPM_BUILD_ROOT%{_bindir}

mv bin examples
chmod 0644 examples/*

#don't include these twice
rm -f $RPM_BUILD_ROOT%{_prefix}/doc/*
rm -f $RPM_BUILD_ROOT%{_prefix}/etc/*

for i in en it tr; do
        mkdir -p $RPM_BUILD_ROOT%{_datadir}/locale/$i/LC_MESSAGES/
        mv $RPM_BUILD_ROOT/%{python_sitelibdir_noarch}/imdb/locale/$i/LC_MESSAGES/imdbpy.mo $RPM_BUILD_ROOT%{_datadir}/locale/$i/LC_MESSAGES/
done

%find_lang imdbpy


rm -rf $RPM_BUILD_ROOT/%{python_sitelibdir_noarch}/imdb

%files -f imdbpy.lang
%doc docs/AUTHOR.txt docs/Changelog.txt docs/CONTRIBUTORS.txt docs/DISCLAIMER.txt docs/FAQS.txt docs/LICENSE.txt docs/README* docs/TODO.txt docs/imdbpy.cfg
%doc examples
%{python_sitelibdir}/*


%changelog
* Sun Dec 30 2012 Igor Vlasenko <viy@altlinux.ru> 4.8.2-alt1_3
- initial fc import

